Package org.flowable.bpmn.model

# Class Association

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.Artifact
org.flowable.bpmn.model.Association

All Implemented Interfaces:
  `HasExtensionAttributes`

public class Association extends Artifact

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected AssociationDirection`
  `associationDirection`
  `protected String`
  `sourceRef`
  `protected String`
  `targetRef`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Association()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Association`
  `clone()`
  `AssociationDirection`
  `getAssociationDirection()`
  `String`
  `getSourceRef()`
  `String`
  `getTargetRef()`
  `void`
  `setAssociationDirection(AssociationDirection associationDirection)`
  `void`
  `setSourceRef(String sourceRef)`
  `void`
  `setTargetRef(String targetRef)`
  `void`
  `setValues(Association otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### associationDirection

    protected AssociationDirection associationDirection

  - ### sourceRef

    protected String sourceRef

  - ### targetRef

    protected String targetRef

- ## Constructor Details

  - ### Association

    public Association()

- ## Method Details

  - ### getAssociationDirection

    public AssociationDirection getAssociationDirection()

  - ### setAssociationDirection

    public void setAssociationDirection(AssociationDirection associationDirection)

  - ### getSourceRef

    public String getSourceRef()

  - ### setSourceRef

    public void setSourceRef(String sourceRef)

  - ### getTargetRef

    public String getTargetRef()

  - ### setTargetRef

    public void setTargetRef(String targetRef)

  - ### clone

    public Association clone()
    Specified by:
      `clone` in class `Artifact`

  - ### setValues

    public void setValues(Association otherElement)